API REFERENCE
Get Artist Albums
On this page
/api/spotify/artist/albumsGet Spotify catalog information about an artist's albums.
Authentication
See the authentication guide for API key and account access requirements.
Request
curl --request GET \
--url 'https://api.recoupable.dev/api/spotify/artist/albums?id=YOUR_ID' \
--header 'x-api-key: YOUR_API_KEY'Replace the YOUR_ placeholders with your values. Required query parameters are included; optional parameters are listed below.
Parameters
Query parameters
idstringrequiredThe Spotify ID of the artist
include_groupsstringA comma-separated list of keywords to filter the response. Valid values are: album, single, appears_on, compilation
marketstringAn ISO 3166-1 alpha-2 country code. If specified, only content available in that market will be returned
limitintegerThe maximum number of items to return (default: 20, min: 1, max: 50)
Default: 20
offsetintegerThe index of the first item to return (default: 0)
Default: 0
Responses
200Artist albums retrieved successfully+
application/json
hrefstringA link to the Web API endpoint returning the full result
limitintegerThe maximum number of items in the response
nextstringnullableURL to the next page of items
offsetintegerThe offset of the items returned
previousstringnullableURL to the previous page of items
totalintegerThe total number of items available
itemsarray<SpotifySimplifiedAlbum>Array of simplified album objects
Item properties for items
album_typestring · enumThe type of the album
Values: "album", "single", "compilation"
total_tracksintegerThe number of tracks in the album
available_marketsarray<string>Markets in which the album is available
Item properties for available_markets
string
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringA link to the Web API endpoint providing full details
idstringThe Spotify ID for the album
imagesarray<SpotifyImage>The cover art for the album in various sizes
Item properties for images
urlstringThe source URL of the image
heightintegernullableThe image height in pixels
widthintegernullableThe image width in pixels
namestringThe name of the album
release_datestringThe date the album was first released
release_date_precisionstring · enumThe precision with which release_date value is known
Values: "year", "month", "day"
restrictionsobjectIncluded when a content restriction is applied
Properties for restrictions
reasonstringThe reason for the restriction
typestring · enumThe object type, always 'album'
Values: "album"
uristringThe Spotify URI for the album
artistsarray<SpotifySimplifiedArtist>The artists of the album
Item properties for artists
external_urlsobjectProperties for external_urls
spotifystringThe Spotify URL for the object
hrefstringA link to the Web API endpoint providing full details
idstringThe Spotify ID for the artist
namestringThe name of the artist
typestring · enumThe object type, always 'artist'
Values: "artist"
uristringThe Spotify URI for the artist
album_groupstring · enumThe field to distinguish albums by various groups
Values: "album", "single", "compilation", "appears_on"
400Bad request - missing required parameters+
application/json
errorobjectError details
Properties for error
statusintegerHTTP status code
messagestringError message
Full specification
Download the OpenAPI file for complete schemas, constraints, and examples.
Download social.jsonView operation source
{
"description": "Get Spotify catalog information about an artist's albums.",
"parameters": [
{
"name": "id",
"in": "query",
"description": "The Spotify ID of the artist",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "include_groups",
"in": "query",
"description": "A comma-separated list of keywords to filter the response. Valid values are: album, single, appears_on, compilation",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "market",
"in": "query",
"description": "An ISO 3166-1 alpha-2 country code. If specified, only content available in that market will be returned",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "limit",
"in": "query",
"description": "The maximum number of items to return (default: 20, min: 1, max: 50)",
"required": false,
"schema": {
"type": "integer",
"default": 20,
"minimum": 1,
"maximum": 50
}
},
{
"name": "offset",
"in": "query",
"description": "The index of the first item to return (default: 0)",
"required": false,
"schema": {
"type": "integer",
"default": 0
}
}
],
"responses": {
"200": {
"description": "Artist albums retrieved successfully",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SpotifyArtistAlbumsResponse"
}
}
}
},
"400": {
"description": "Bad request - missing required parameters",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SpotifyErrorResponse"
}
}
}
}
}
}